package com.zcloud.service.onlinexxks;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：阶段考试试卷表
 * 作者：luoxiaobao
 * 时间：2021-07-04
 * 官网：www.zcloudchina.com
 */
public interface StageexampaperService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表（课程为主体的列表信息）
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listCurriculum(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception;

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd)throws Exception;

	/**删除(根据课程ID删除试题数据)
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCurriculumIds(PageData pd)throws Exception;

	/**通过试卷ID获取数据
	 * @param pd
	 * @throws Exception
	 */
    PageData getExam(PageData pd) throws Exception;

	/**
	 * 考试开考或者考试人员已考试，试卷不能再变动
	 * @param pd
	 * @throws Exception
	 */
	void updateExamState(PageData pd) throws Exception;

	/**列表（考试结果列表）
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listSummary(Page page)throws Exception;
	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void saveV2(PageData pd)throws Exception;
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData getDataById(PageData pd)throws Exception;
}

